package com.steering.pss.plan.order.model;
/**
 * 数据库表PLN_SALEORDER_SET所对应的实体类（生成工具：代码生成器3.0）
 * @author xiaohai-PC   date 2015-09-29
 */
@SuppressWarnings("serial")
public class PlnSaleorderSetEntity implements java.io.Serializable {
    /**
     * 轧制月份
     */
    private String rollMonth = "";
    /**
     * 合同行号
     */
    private String orderNoSeq = "";
    /**
     * 交货编码PK
     */
    private String ordLnDlyPk = "";
    /**
     * 导入时间
     */
    private String impTime = "";
    /**
     * 月份同步标识
     */
    private String ifSetMonth = "";
    /**
     * 状态设置次数
     */
    private String numSetStatus = "";
    /**
     * 最后设置状态
     */
    private String endStatus = "";
    /**
     * 生产分类
     */
    private String produceSort = "";
    /**
     * 生产分类同步标示
     */
    private String ifSetProduceSort = "";
    /**
     * 合同来源
     */
    private String orderfrom = "";
    /**
     * 合同来源同步标示
     */
    private String ifSetOrderfrom = "";

    /**
     * 轧制月份
     * @return value
     */
    public String getRollMonth() {
        return rollMonth;
    }

    /**
     * 轧制月份
     * @param rollMonth value
     */
    public void setRollMonth(String rollMonth) {
        this.rollMonth = rollMonth;
    }

    /**
     * 合同行号
     * @return value
     */
    public String getOrderNoSeq() {
        return orderNoSeq;
    }

    /**
     * 合同行号
     * @param orderNoSeq value
     */
    public void setOrderNoSeq(String orderNoSeq) {
        this.orderNoSeq = orderNoSeq;
    }

    /**
     * 交货编码PK
     * @return value
     */
    public String getOrdLnDlyPk() {
        return ordLnDlyPk;
    }

    /**
     * 交货编码PK
     * @param ordLnDlyPk value
     */
    public void setOrdLnDlyPk(String ordLnDlyPk) {
        this.ordLnDlyPk = ordLnDlyPk;
    }

    /**
     * 导入时间
     * @return value
     */
    public String getImpTime() {
        return impTime;
    }

    /**
     * 导入时间
     * @param impTime value
     */
    public void setImpTime(String impTime) {
        this.impTime = impTime;
    }

    /**
     * 月份同步标识
     * @return value
     */
    public String getIfSetMonth() {
        return ifSetMonth;
    }

    /**
     * 月份同步标识
     * @param ifSetMonth value
     */
    public void setIfSetMonth(String ifSetMonth) {
        this.ifSetMonth = ifSetMonth;
    }

    /**
     * 状态设置次数
     * @return value
     */
    public String getNumSetStatus() {
        return numSetStatus;
    }

    /**
     * 状态设置次数
     * @param numSetStatus value
     */
    public void setNumSetStatus(String numSetStatus) {
        this.numSetStatus = numSetStatus;
    }

    /**
     * 最后设置状态
     * @return value
     */
    public String getEndStatus() {
        return endStatus;
    }

    /**
     * 最后设置状态
     * @param endStatus value
     */
    public void setEndStatus(String endStatus) {
        this.endStatus = endStatus;
    }

    /**
     * 生产分类
     * @return value
     */
    public String getProduceSort() {
        return produceSort;
    }

    /**
     * 生产分类
     * @param produceSort value
     */
    public void setProduceSort(String produceSort) {
        this.produceSort = produceSort;
    }

    /**
     * 生产分类同步标示
     * @return value
     */
    public String getIfSetProduceSort() {
        return ifSetProduceSort;
    }

    /**
     * 生产分类同步标示
     * @param ifSetProduceSort value
     */
    public void setIfSetProduceSort(String ifSetProduceSort) {
        this.ifSetProduceSort = ifSetProduceSort;
    }

    /**
     * 合同来源
     * @return value
     */
    public String getOrderfrom() {
        return orderfrom;
    }

    /**
     * 合同来源
     * @param orderfrom value
     */
    public void setOrderfrom(String orderfrom) {
        this.orderfrom = orderfrom;
    }

    /**
     * 合同来源同步标示
     * @return value
     */
    public String getIfSetOrderfrom() {
        return ifSetOrderfrom;
    }

    /**
     * 合同来源同步标示
     * @param ifSetOrderfrom value
     */
    public void setIfSetOrderfrom(String ifSetOrderfrom) {
        this.ifSetOrderfrom = ifSetOrderfrom;
    }
}